curl --request POST \
--url https://api.hubapi.com/marketing/v3/campaigns/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"properties": {}
}
]
}
'import requests
url = "https://api.hubapi.com/marketing/v3/campaigns/batch/create"
payload = { "inputs": [{ "properties": {} }] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({inputs: [{properties: {}}]})
};
fetch('https://api.hubapi.com/marketing/v3/campaigns/batch/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"businessUnits": [
{
"id": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"businessUnits": [
{
"id": 123
}
],
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"properties": {},
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Create campaigns
Ce point de terminaison d’API crée un lot de campagnes. Le nombre maximum d’éléments dans une requête de lot est de 50. Il n’est pas garanti que les campagnes dans la réponse soient dans le même ordre que celui fourni dans la requête.
Supported products
Supported products
Required Scopes
Required Scopes
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Corps
Un tableau d'objets PublicCampaignInput, chacun représentant les propriétés d'une campagne à créer en lot. Cette propriété est requise.
Show child attributes
Show child attributes
Réponse
successful operation
La date et l'heure de la fin de l'opération par lot, formatées en tant que chaîne date-heure.
Un tableau de résultats de l'opération par lot, chaque élément représentant une campagne publique.
Show child attributes
Show child attributes
La date et l'heure du début de l'opération par lot, formatées en tant que chaîne date-heure.
Statut actuel de l'opération par lots, avec les valeurs possibles suivantes : ANNULÉ, TERMINÉ, EN ATTENTE, EN COURS DE TRAITEMENT.
CANCELED, COMPLETE, PENDING, PROCESSING Une carte des liens associés à l'opération par lot.
Show child attributes
Show child attributes
La date et l'heure auxquelles l'opération par lot a été demandée, formatées en tant que chaîne date-heure.